#!/bin/sh
# wechselt in synOTR-Verzeichnis und startet synOTR mit bzw. ohne LOG (je nach Auswahl)

# Arbeitsverzeichnis auslesen und hineinwechseln:
workdir=$(cd $(dirname $0);pwd)
cd $workdir

# Konfigurationsdatei einbinden:
CONFIG=Konfiguration.txt
. ./$CONFIG

# LOGlevel=0  => Logging inaktiv / 1 => normal / 2 => erweitert
if [ $LOGlevel = "0" ] ; then
	./synOTR.sh
else
	destdir="${destdir%/}/"
	decodir="${destdir%/}/_decodiert"
	if [ ! -d "$destdir" ]; then
		echo "Zielverzeichnis in der Konfiguration prüfen ! ! !"
		exit
	fi
	if [ $OTRcutactiv = "off" ] ; then
		decodir="$destdir"
		echo $decodir
		if [ -d "${decodir%/}/_LOGsynOTR" ]; then
			./synOTR.sh >> ${decodir%/}/_LOGsynOTR/synOTR_`date +%Y`-`date +%m`-`date +%d`_`date +%H`-`date +%M`.log 2>&1
		else
			mkdir "${decodir%/}/_LOGsynOTR"	
			./synOTR.sh >> ${decodir%/}/_LOGsynOTR/synOTR_`date +%Y`-`date +%m`-`date +%d`_`date +%H`-`date +%M`.log 2>&1
		fi
	else
		if [ -d "$decodir" ]; then
			if [ -d "${decodir%/}/_LOGsynOTR" ]; then
				./synOTR.sh >> ${decodir%/}/_LOGsynOTR/synOTR_`date +%Y`-`date +%m`-`date +%d`_`date +%H`-`date +%M`.log 2>&1
			else
				mkdir "${decodir%/}/_LOGsynOTR"	
				./synOTR.sh >> ${decodir%/}/_LOGsynOTR/synOTR_`date +%Y`-`date +%m`-`date +%d`_`date +%H`-`date +%M`.log 2>&1
			fi
		else
			mkdir "${destdir%/}/_decodiert"	
			if [ -d "${decodir%/}/_LOGsynOTR" ]; then
				./synOTR.sh >> ${decodir%/}/_LOGsynOTR/synOTR_`date +%Y`-`date +%m`-`date +%d`_`date +%H`-`date +%M`.log 2>&1
			else
				mkdir "${decodir%/}/_LOGsynOTR"	
				./synOTR.sh >> ${decodir%/}/_LOGsynOTR/synOTR_`date +%Y`-`date +%m`-`date +%d`_`date +%H`-`date +%M`.log 2>&1
			fi
		fi
	fi
fi
